## monotone-viz 0.15

=== Makefile ===
--- 
+++ 
@@ -4,16 +4,18 @@
 OCAMLNET     := ocamlnet-0.97.1
 EXTLIB       := extlib-1.3
 
-VPATH = mlsqlite $(OCAMLNET) $(EXTLIB) glib crypto
-
-MLINCDIRS = -I $(OCAMLNET) -I mlsqlite -I $(EXTLIB) -I $(LABLGTK_DIR) -I glib -I crypto
+MLINCDIRS_LOCAL = -I $(OCAMLNET) -I mlsqlite -I $(EXTLIB) -I glib -I crypto
+MLINCDIRS       = -I $(LABLGTK_DIR) $(MLINCDIRS_LOCAL)
 GTK_CFLAGS := $(shell pkg-config gtk+-2.0 --cflags)
 GNOMECANVAS_CFLAGS := $(shell pkg-config libgnomecanvas-2.0 --cflags)
 
 
-SRC = base64.ml base64.mli sqlite3.ml sqlite3.mli IO.mli IO.ml unzip.ml unzip.mli \
-      gspawn.ml gspawn.mli giochannel.ml giochannel.mli viz_gmisc.ml gpattern.ml \
-      crypto.ml crypto.mli \
+SRC = $(OCAMLNET)/base64.ml $(OCAMLNET)/base64.mli \
+      mlsqlite/sqlite3.ml mlsqlite/sqlite3.mli \
+      $(EXTLIB)/IO.mli $(EXTLIB)/IO.ml $(EXTLIB)/unzip.ml $(EXTLIB)/unzip.mli \
+      glib/gspawn.ml glib/gspawn.mli glib/giochannel.ml glib/giochannel.mli \
+      glib/viz_gmisc.ml glib/gpattern.ml \
+      crypto/crypto.ml crypto/crypto.mli \
       viz_misc.ml viz_misc.mli viz_types.ml viz_types.mli \
       q.ml q.mli \
       dot_lexer.ml dot_parser.ml dot_parser.mli \
@@ -46,7 +48,8 @@
           components.ml schema_lexer.mll database.ml database.mli agraph.ml agraph.mli \
           unidiff.ml unidiff.mli gnomecanvas_hack.c view.ml view.mli \
           query.ml query.mli app.mli app.ml main.ml \
-          mlsqlite/sqlite3.ml mlsqlite/sqlite3.mli mlsqlite/ocaml-sqlite3.c \
+          mlsqlite/sqlite3.ml mlsqlite/sqlite3.mli \
+          mlsqlite/config.h mlsqlite/ocaml-sqlite3.h mlsqlite/ocaml-sqlite3.c \
           ocamlnet-0.97.1/base64.ml ocamlnet-0.97.1/base64.mli ocamlnet-0.97.1/LICENSE \
           extlib-1.3/IO.ml extlib-1.3/IO.mli extlib-1.3/unzip.ml extlib-1.3/unzip.mli \
           glib/gspawn.ml glib/gspawn.mli glib/giochannel.ml glib/giochannel.mli \
@@ -65,21 +68,21 @@
 
 ifdef SQLITE_LIBS
 LIB3RDPARTY_OBJ = $(C_OBJ)
-SQLITE_LINK     = -ccopt "$(SQLITE_LIBS)"
+SQLITE_LINK     = -cclib "$(SQLITE_LIBS)"
 else
 LIB3RDPARTY_OBJ = $(MONOTONE_DIR)/sqlite/lib3rdparty_a-*.o $(C_OBJ)
 endif
 
 ifeq ($(OCAMLBEST), opt)
 monotone-viz : $(OBJX) lib3rdparty.a
-	$(OCAMLOPT) -o $@ -I . $(MLINCDIRS) $(MLLIBS) $^ $(CRYPTO_LIB) $(SQLITE_LINK)
+	$(OCAMLOPT) -o $@ -I $(LABLGTK_DIR) $(MLLIBS) $^ $(CRYPTO_LIB) $(SQLITE_LINK)
 monotone-viz : MLLIBS = str.cmxa lablgtk.cmxa gtkInit.cmx lablgnomecanvas.cmxa 
 ifeq ($(LOCAL_LABLGTK), yes)
 $(OBJX) : .lablgtk
 endif
 else
 monotone-viz : $(OBJ) lib3rdparty.a
-	$(OCAMLC) -custom -o $@ -I . $(MLINCDIRS) $(MLLIBS) $^ $(CRYPTO_LIB) $(SQLITE_LINK)
+	$(OCAMLC) -custom -o $@ -I $(LABLGTK_DIR) $(MLLIBS) $^ $(CRYPTO_LIB) $(SQLITE_LINK)
 monotone-viz : MLLIBS = str.cma lablgtk.cma gtkInit.cmo lablgnomecanvas.cma 
 ifeq ($(LOCAL_LABLGTK), yes)
 $(OBJ) : .lablgtk
@@ -89,8 +92,8 @@
 lib3rdparty.a : $(C_OBJ)
 	ar crs lib3rdparty.a $(LIB3RDPARTY_OBJ)
 
-glib/ocaml-gspawn.o : gspawn_tags.c gspawn_tags.h
-glib/ocaml-giochannel.o : giochannel_tags.c giochannel_tags.h
+glib/ocaml-gspawn.o : glib/gspawn_tags.c glib/gspawn_tags.h
+glib/ocaml-giochannel.o : glib/giochannel_tags.c glib/giochannel_tags.h
 glib/ocaml-%.o           : CINCDIRS = -I $(LABLGTK_DIR) -ccopt "$(GTK_CFLAGS)"
 ifdef SQLITE_LIBS
 mlsqlite/ocaml-sqlite3.o : CINCDIRS = -ccopt "$(SQLITE_CFLAGS)"
@@ -101,8 +104,8 @@
 gnomecanvas_hack.o       : CINCDIRS = -ccopt "$(GNOMECANVAS_CFLAGS)"
 $(EXTLIB)/unzip.%        : MLFLAGS += -w y
 
-REVISION_FILE := $(shell test -r MT/revision && echo MT/revision)
-REVISION_ID    = $(if $(REVISION_FILE),$(shell cat $(REVISION_FILE)))
+REVISION_FILE := $(shell test -r _MTN/revision && echo _MTN/revision)
+REVISION_ID    = $(shell mtn automate get_base_revision_id || ( test -r _MTN/revision && cat _MTN/revision ))
 version.ml : version.ml.in $(REVISION_FILE)
 	sed -e 's/@REVISION@/$(REVISION_ID)/' -e 's/@VERSION@/$(VERSION)/' < $< > $@
 
@@ -157,7 +160,7 @@
 -include .depend
 .depend : $(SRC)
 	@echo "making deps ..."
-	@$(OCAMLDEP) $(DEP_FLAGS) $(addprefix -I ,$(VPATH)) $(filter-out $(USE_P4),$^) > $@
+	@$(OCAMLDEP) $(DEP_FLAGS) $(MLINCDIRS_LOCAL) $(filter-out $(USE_P4),$^) > $@
 	@$(OCAMLDEP) $(DEP_FLAGS) -pp '$(CAMLP4O)' $(USE_P4) >> $@
 
 dist : ../$(NAME)-$(VERSION).tar.gz
