## monotone-viz 1.0.1+mtn20080403-1

=== Makefile ===
--- 
+++ 
@@ -112,6 +112,11 @@
 	rm -f dot_lexer.ml dot_parser.ml dot_parser.mli basic_io_lexer.ml
 	cd glib   && rm -f *.o *.cm*
 
+distclean : clean
+	rm -f .depend config.log config.make config.status version.ml
+	cd glib && rm -f giochannel_tags.c giochannel_tags.h \
+		gspawn_tags.c gspawn_tags.h
+
 install :
 	install -d $(DESTDIR)$(bindir)
 	install -m 0755 monotone-viz \
@@ -120,7 +125,7 @@
 uninstall :
 	rm -f $(DESTDIR)$(bindir)/`echo monotone-viz | sed '$(transform)'`
 
-.PHONY : clean dist
+.PHONY : clean dist distclean
 
 ifeq ($OCAMLBEST, opt)
 DEP_FLAGS = -native
