=== debian/changelog ===
monotone-viz (1.0.1+mtn20080403-1) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Thu,  3 Apr 2008 16:36:41 +0200

monotone-viz (1.0+mtn20080102-1) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Wed,  2 Jan 2008 14:43:57 +0100

monotone-viz (0.15+mtn20070704-6) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Wed,  4 Jul 2007 20:11:14 +0200

monotone-viz (0.15+mtn20070704-5) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Wed,  4 Jul 2007 20:03:48 +0200

monotone-viz (0.15+mtn20070704-4) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Wed,  4 Jul 2007 19:55:25 +0200

monotone-viz (0.15+mtn20070704-3) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Wed,  4 Jul 2007 19:37:33 +0200

monotone-viz (0.15+mtn20070704-2) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Wed,  4 Jul 2007 19:17:59 +0200

monotone-viz (0.15+mtn20070704-1) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Wed,  4 Jul 2007 18:39:35 +0200

monotone-viz (0.15+mtn20070221-1) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Wed, 21 Feb 2007 20:55:44 +0100

monotone-viz (0.15+mtn20061020-1) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Fri, 20 Oct 2006 05:29:22 +0200

monotone-viz (0.15+mtn20061017-1) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Tue, 17 Oct 2006 05:15:25 +0200

monotone-viz (0.14-3) unstable; urgency=low

  * Add libssl-dev to the build dependencies. 

 -- Shaun Jackman <sjackman@debian.org>  Thu, 13 Apr 2006 14:41:05 -0600

monotone-viz (0.14-2) unstable; urgency=low

  * Add liblablgtk2-gnome-ocaml-dev to the build dependencies.
    Closes: #361737. Thanks to Frederik Schüler <fs@debian.org>.

 -- Shaun Jackman <sjackman@debian.org>  Mon, 10 Apr 2006 09:29:38 -0600

monotone-viz (0.14-1) unstable; urgency=low

  * Initial release. Closes: #305508, #318023.

 -- Shaun Jackman <sjackman@debian.org>  Tue, 21 Mar 2006 09:39:15 -0700
