=== debian/control ===
Source: monotone-viz
Section: devel
Priority: optional
Maintainer: Richard Levitte <richard@levitte.org>
Build-Depends: liblablgtk2-gnome-ocaml-dev, gawk, pkg-config, debhelper
Standards-Version: 3.7.3

Package: monotone-viz
Section: devel
Architecture: any
Depends: graphviz, ${shlibs:Depends}
Recommends: monotone
Description: visualize a monotone repository
 Monotone-viz is a small GTK+ application that visualizes monotone
 ancestry graphs. Monotone is a free distributed version control
 system. Montone-viz is developed in the Objective Caml language,
 using the GTK+ and libgnomecanvas libraries (via LablGTK, an OCaml
 binding for GTK+), and it uses the dot program from the Graphviz
 package.
 .
 This package is built from a combination of the following monotone
 branches:
 .
   net.venge.monotone-viz             - the old main development branch
   net.venge.monotone-viz.automate    - the current main development branch
