=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	./configure --prefix=/usr --with-shared-sqlite
	$(MAKE)
	touch $@

install: build
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/monotone-viz

clean:
	rm -f build-stamp 
	dh_clean 
	[ ! -f Makefile ] || $(MAKE) distclean

binary-indep:

binary-arch binary: install
	dh_installchangelogs -a NEWS
	dh_installdocs -a
	dh_installman -a
	dh_compress -a
	dh_fixperms -a
	dh_strip -a
	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

.PHONY: build install clean binary-indep binary-arch binary
