=== debian/watch ===
version=3
http://oandrieu.nerim.net/monotone-viz/ monotone-viz-(.*)-nolablgtk\.tar\.gz debian uupdate
