## monotone-viz 1.0.2

=== Makefile ===
--- 
+++ 
@@ -109,13 +109,8 @@
 
 clean :
 	rm -f *.a *.so *.o *.cm* monotone-viz
-	rm -f dot_lexer.ml dot_parser.ml dot_parser.mli basic_io_lexer.ml
+	rm -f dot_lexer.ml dot_parser.ml dot_parser.mli basic_io_lexer.ml version.ml
 	cd glib   && rm -f *.o *.cm*
-
-distclean : clean
-	rm -f .depend config.log config.make config.status version.ml
-	cd glib && rm -f giochannel_tags.c giochannel_tags.h \
-		gspawn_tags.c gspawn_tags.h
 
 install :
 	install -d $(DESTDIR)$(bindir)
@@ -125,7 +120,7 @@
 uninstall :
 	rm -f $(DESTDIR)$(bindir)/`echo monotone-viz | sed '$(transform)'`
 
-.PHONY : clean dist distclean
+.PHONY : clean dist
 
 ifeq ($OCAMLBEST, opt)
 DEP_FLAGS = -native
